package net.minecraft.src;

import net.lax1dude.eaglercraft.TextureLocation;

public class RenderCow extends RenderLiving
{
    private static final TextureLocation cowTextures = new TextureLocation("textures/entity/cow/cow.png");

    public RenderCow(ModelBase par1ModelBase, float par2)
    {
        super(par1ModelBase, par2);
    }

    @Override
    protected void bindTexture(EntityLivingBase par1EntityLiving) {
        cowTextures.bindTexture();
    }

    protected TextureLocation getCowTextures(EntityCow par1EntityCow)
    {
        return cowTextures;
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected TextureLocation getEntityTexture(Entity par1Entity)
    {
        return this.getCowTextures((EntityCow)par1Entity);
    }
}
